Package Details: gpscorrelate-git 2.0.r1.gf00b4d9-1

Git Clone URL: https://aur.archlinux.org/gpscorrelate-git.git (read-only)
Package Base: gpscorrelate-git
Description: GPS Photo Correlation; Writes location data to EXIF tags using GPX files (command line and GTK interface).
Upstream URL: https://dfandrich.github.io/gpscorrelate/
Licenses: GPL2
Conflicts: gpscorrelate
Provides: gpscorrelate=2.0.r1.gf00b4d9
Submitter: johnwallaby
Maintainer: johnwallaby (sikmir)
Last Packager: sikmir
Votes: 4
Popularity: 0.007182
First Submitted: 2015-08-18 20:53
Last Updated: 2019-10-29 15:14

Latest Comments

johnwallaby commented on 2019-03-18 20:12

@sikmir thx again a lot, i've updated the pkgbuild.

sikmir commented on 2019-03-18 19:57

As far as we have gpscorrelate in Community repo, just to avoid conflict:

provides=("${pkgname//-git}=${pkgver}")
conflicts=(${pkgname//-git})

johnwallaby commented on 2019-03-18 13:24

@sikmir thx a lot, i don't know what i did wrong when testing it, but this for me too. i've updated the pkgbuild.

sikmir commented on 2019-03-18 13:11

It works for me:

make CFLAGS=-DENABLE_NLS prefix=/usr DESTDIR=$pkgdir install install-po || return 1

johnwallaby commented on 2019-03-18 13:08

hi, i've updated the makedepends but i got an error when trying to enable the translations in the make install-po step (error opening gpx-read.c). i don't have time right now to investigate this further but perhaps will do later. any help however is greatly appreciated.

sikmir commented on 2019-03-18 12:51

Thanks! Some more enhancements:

  • xsltproc required only for building the man page, so move it to makedepends
  • enable translations, as stated within INSTALL:
gpscorrelate comes translated into a number of languages, but support is not
enabled by default as the gettext function is not universally available.
To enable foreign language support, compile with
"make CFLAGS=-DENABLE_NLS" (and LIBS=-lintl if required) and use the
additional command "sudo make install-po" to install the message catalogs.

johnwallaby commented on 2019-03-18 12:25

hi @sikmir, thx for reporting. i hope everything works after the update

sikmir commented on 2019-03-18 12:08

Daniel Foote (initial author of gpscorrelate) abandoned the project in 2012. As stated in README, Dan Fandrich took over maintenance of gpscorrelate since that. So all current development occurs within his fork: https://github.com/dfandrich/gpscorrelate. @johnwallaby, consider switching to dfandrich's fork. And please, add the following lines after make install:

  install -Dm644 gpscorrelate-gui.svg "$pkgdir/usr/share/icons/hicolor/scalable/apps/gpscorrelate-gui.svg"
  install -Dm644 gpscorrelate.desktop "$pkgdir/usr/share/applications/gpscorrelate.desktop"

johnwallaby commented on 2016-07-31 18:46

hi klyachkivsky,

thx for pointing that out. i just pushed an updated pkgbuild.

Klyachkivsky commented on 2016-07-27 06:26

make: xsltproc: Command not found